Bug 972333 - [abrt] blueman-1.23-6.fc19: connection.py:651:call_blocking:DBusException: org.openobex.Error.InvalidArguments: Invalid path
[abrt] blueman-1.23-6.fc19: connection.py:651:call_blocking:DBusException: or...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:0df35ab7e2d19e521514d8f2fdf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 10:53 EDT by Bruno Martins
Modified: 2015-07-21 14:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 18:49:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.33 KB, text/plain)
2013-06-08 10:53 EDT, Bruno Martins
no flags Details
File: core_backtrace (584 bytes, text/plain)
2013-06-08 10:53 EDT, Bruno Martins
no flags Details
File: environ (1.35 KB, text/plain)
2013-06-08 10:53 EDT, Bruno Martins
no flags Details

  None (edit)
Description Bruno Martins 2013-06-08 10:53:42 EDT
Version-Release number of selected component:
blueman-1.23-6.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/blueman-applet
dso_list:       dbus-python-1.1.1-5.fc19.x86_64
executable:     /usr/bin/blueman-applet
kernel:         3.9.4-301.fc19.x86_64
runlevel:       unknown
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.openobex.Error.InvalidArguments: Invalid path

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/blueman/main/applet/Transfer.py", line 94, in on_server_created
    self.start_server(pattern)
  File "/usr/lib/python2.7/site-packages/blueman/main/applet/Transfer.py", line 77, in start_server
    server.Start(self.Config.props.shared_path, True, False)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.openobex.Error.InvalidArguments: Invalid path

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SessionBus (session) at 0x7f88c3f87f50>
args: ('/home/skorzen/Public', True, False)
object_path: dbus.ObjectPath('/org/openobex/server0')
signature: u'sbb'
bus_name: dbus.UTF8String(':1.53')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: -1.0
kwargs: {}
dbus_interface: 'org.openobex.Server'
message: <dbus.lowlevel.MethodCallMessage path: /org/openobex/server0, iface: org.openobex.Server, member: Start dest: :1.53>
method: 'Start'

Potential duplicate: bug 875682
Comment 1 Bruno Martins 2013-06-08 10:53:46 EDT
Created attachment 758573 [details]
File: backtrace
Comment 2 Bruno Martins 2013-06-08 10:53:50 EDT
Created attachment 758574 [details]
File: core_backtrace
Comment 3 Bruno Martins 2013-06-08 10:53:52 EDT
Created attachment 758575 [details]
File: environ
Comment 4 Juan Manuel Rodriguez 2013-12-09 18:49:08 EST
Hi. I'm closing this bug as Blueman has been retired from Fedora. 

If you wish to file a bug against upstream, a new Blueman fork has been created in this github repository. [1]

I apologize for the inconvenience. 

[1] https://github.com/cschramm/blueman

Note You need to log in before you can comment on or make changes to this bug.